#include <Wire.h>

#define I2C_DEV_ADDR 0x08

void setup() {
  Serial.begin(115200);           // start serial for output
  
  Wire.begin((uint8_t)I2C_DEV_ADDR); // join i2c bus with address #8
  Wire.onReceive(receiveEvent); // register event
  
  Serial.println("slave receiver ready.");
}

void loop() {
  delay(100);
}

// function that executes whenever data is received from master
// this function is registered as an event, see setup()
void receiveEvent(int howMany) {
  Serial.printf("onReceive[%d]: ", howMany);
  int x = Wire.read(); // receive int via I2C
  Serial.printf("%d", x);
  Serial.println();
}
