#include <Wire.h>

#define I2C_DEV_ADDR 0x09

void setup() {
  Serial.begin(115200);           // start serial for output
  
  Wire.begin(I2C_DEV_ADDR);                // join i2c bus with address #9
  Wire.onRequest(requestEvent); // register event
  
  Serial.println("slave sender ready.");
}

int count = 0;
int max_v = 50;

void loop() {
  delay(100);
}

// function that executes whenever data is requested by master
// this function is registered as an event, see setup()
void requestEvent() {
  count = count%max_v + 1;
  Wire.write(count); // respond with counter as integer
  Serial.printf("sent: %d\n", count);
}
